From b10c4bc33a77bf17b94d6f1815383c686cebf9b5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 27 2020 05:13:31 +0000
Subject: [PATCH 697/2232] Format with clang-format 10


---

diff --git a/include/cxx.h b/include/cxx.h
index 90c0524..9a9d5fa 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -494,7 +494,7 @@ const T &Vec<T>::front() const {
 
 template <typename T>
 const T &Vec<T>::back() const {
-  return (*this)[this->size()-1];
+  return (*this)[this->size() - 1];
 }
 
 template <typename T>
@@ -522,14 +522,14 @@ Vec<T>::const_iterator::operator++(int) noexcept {
 }
 
 template <typename T>
-bool Vec<T>::const_iterator::operator==(const const_iterator &other) const
-    noexcept {
+bool Vec<T>::const_iterator::operator==(
+    const const_iterator &other) const noexcept {
   return this->pos == other.pos;
 }
 
 template <typename T>
-bool Vec<T>::const_iterator::operator!=(const const_iterator &other) const
-    noexcept {
+bool Vec<T>::const_iterator::operator!=(
+    const const_iterator &other) const noexcept {
   return this->pos != other.pos;
 }
 
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 682b9c9..4cc771e 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -243,12 +243,8 @@ void c_take_rust_vec_shared_forward_iterator(rust::Vec<Shared> v) {
 }
 
 void c_take_rust_vec_shared_index(rust::Vec<Shared> v) {
-  if (v[0].z == 1010 &&
-      v.at(0).z == 1010 &&
-      v.front().z == 1010 &&
-      v[1].z == 1011 &&
-      v.at(1).z == 1011 &&
-      v.back().z == 1011) {
+  if (v[0].z == 1010 && v.at(0).z == 1010 && v.front().z == 1010 &&
+      v[1].z == 1011 && v.at(1).z == 1011 && v.back().z == 1011) {
     cxx_test_suite_set_correct();
   }
 }
@@ -261,14 +257,8 @@ void c_take_ref_rust_vec(const rust::Vec<uint8_t> &v) {
 }
 
 void c_take_ref_rust_vec_index(const rust::Vec<uint8_t> &v) {
-  if (v[0] == 86 &&
-      v.at(0) == 86 &&
-      v.front() == 86 &&
-      v[1] == 75 &&
-      v.at(1) == 75 &&
-      v[3] == 9 &&
-      v.at(3) == 9 &&
-      v.back() == 9) {
+  if (v[0] == 86 && v.at(0) == 86 && v.front() == 86 && v[1] == 75 &&
+      v.at(1) == 75 && v[3] == 9 && v.at(3) == 9 && v.back() == 9) {
     cxx_test_suite_set_correct();
   }
 }

